#2637 closed defect (fixed)

4.11/rtems-arm broken on MacOS.

Reported by: Chris Johns Owned by: Chris Johns
Priority: highest Milestone: 4.11
Component: tool/binutils Version: 4.11
Severity: major Keywords:
Cc: Blocked By:
Blocking:

Description

Binutils 2.24 does not build on MacOS. The binutils bug is https://sourceware.org/bugzilla/show_bug.cgi?id=19222.

We should increase the binutils version to 2.26 for ARM on the 4.11.

Comments please.

Change History (3)

comment:1 Changed on Mar 10, 2016 at 5:37:57 PM by Joel Sherrill

I don't mind bumping binutils on all architectures for 4.11. It is usually quite benign to update binutils. Worse case, we will find some architecture with a gcc issue.

comment:2 in reply to:  1 Changed on Mar 11, 2016 at 12:09:40 AM by Chris Johns

Replying to joel.sherrill:

I don't mind bumping binutils on all architectures for 4.11. It is usually quite benign to update binutils. Worse case, we will find some architecture with a gcc issue.

Thanks. I will update the 4.11 branch and create 4.11.0-rc3.

comment:3 Changed on Mar 11, 2016 at 3:27:54 AM by Chris Johns <chrisj@…>

Resolution: fixed
Status: newclosed

In a7950974777201b392b92b541997e007ae5e265f/rtems-source-builder:

4.11: Change binutils version to 2.26.

Closes #2637.

Note: See TracTickets for help on using tickets.